#ifndef ACCELEROMETER_H_
#define ACCELEROMETER_H_
/**
 * Defines the ranges that can be selected for the Accelerometer
 */
#define ACCELEROMETER_1g5 0
#define ACCELEROMETER_2g 1
#define ACCELEROMETER_4g 2
#define ACCELEROMETER_6g 3

/**
 * Defines the sensitivity that can be selected for the Accelerometer
 * mV/g
 */
#define ACCELEROMETER_1g5_SENSITIVITY (0.8/3.3)
#define ACCELEROMETER_2g_SENSITIVITY (0.6/3.3)
#define ACCELEROMETER_4g_SENSITIVITY (0.3/3.3)
#define ACCELEROMETER_6g_SENSITIVITY (0.2/3.3)


#define X_AXIS 0
#define Y_AXIS 1
#define Z_AXIS 2

/**
 * Defines how many samples will be taken to measure the zero offset on the accelerometer
 */
#define REFERENCE_SAMPLE 500
/**
 * Defines how many samples we will take to to average/max of the axis acceleration
 */
#define SAMPLE_SIZE 10

#define OFF 0
#define ON 1


void setAccelerometerPorts(void);
void setAccelerometerRange(unsigned char range);
void enableAccelerometer(unsigned char sleep);
void zeroOffset(void);
void readAccelerometer(void);
float getReading(unsigned char axis);
void printvalue(unsigned char axis, unsigned char *text);


#endif /*ACCELEROMETER_H_*/
